// JavaScript Document
hoje = new Date()
dia = hoje.getDate()
mes = hoje.getMonth()
ano = hoje.getFullYear()
if (dia < 10)
dia = "0" + dia
if (ano < 2000)
ano = "19" + ano
if(mes < 10)
 mes = "0" + (mes + 1);
 
var DataDia = dia+"/"+(mes)+"/"+ano; 
	
	$(document).ready(function(e){
	  $( "#tabMdc, #pnDataMovimento" ).tabs();
	  
	  
		
		//$('#EdtDataMovimento').val(DataDia);	
		//CarregarTotalizadores(DataDia);
		//MDCAnalitico(DataDia);
	$('#btnCarregarVencimento').on('click',function(){
	   var DtInicial = $('#EdtDtInicial').val();
	   var DtFinal = $('#EdtDtFinal').val();
	   VencimentoCheque(DtInicial,DtFinal);
	 return false;
	})	
	
	
	$(document).on('click','#btnImprimirMDC',function(){
		var data = $('#EdtDataMovimento').val();
		window.open('mdc/relatorio_mdc.php?data='+data, '_blank');
		})
				
				
	})	
	
function CarregarTotalizadores(data){
		 $.ajax({
			 type: "POST",
			 url: "mdc/totalizadores.php",
			 data: '&ax=mdc&data=' + data, 
			 beforeSend: function(){$("#PnTotalizador").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#PnTotalizador").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#PnTotalizador").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
								  $("#PnTotalizador").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax

		return false;
}

function MDCAnalitico(data){
		 $.ajax({
			 type: "POST",
			 url: "mdc/mdc.analitico.php",
			 data: '&ax=mdcAnalitico&data=' + data, 
			 beforeSend: function(){$("#pnMDCAnalitico").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#pnMDCAnalitico").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnMDCAnalitico").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
								  $("#pnMDCAnalitico").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax

		return false;
}


function VencimentoCheque(DtInicial, DtFinal){
		 $.ajax({
			 type: "POST",
			 url: "mdc/vencimento.lista.cheque.php",
			 data: '&ax=VencimentoCheque&DtInicial=' + DtInicial + '&DtFinal='+DtFinal, 
			 beforeSend: function(){$("#pnListaCheque").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#pnListaCheque").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnListaCheque").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
								  $("#pnListaCheque").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax

		return false;
}




function ConsultaMovimento(){
	data = $('#EdtDataMovimento').val();
	CarregarTotalizadores(data);
	MDCAnalitico(data)
	}

